## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-array-api-strict
Version:        2.0.1
Release:        %{autorelease}
Summary:        Strict implementation of the Python array API


License:        BSD-3-Clause
URL:            https://github.com/data-apis/array-api-strict
Source:         %{pypi_source array_api_strict}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis

%global _description %{expand:
array_api_strict is a strict, minimal implementation of the Python array API.

The purpose of array-api-strict is to provide an implementation of the array
API for consuming libraries to test against so they can be completely sure
their usage of the array API is portable.

It is not intended to be used by end-users. End-users of the array API should
just use their favorite array library (NumPy, CuPy, PyTorch, etc.) as usual. It
is also not intended to be used as a dependency by consuming libraries.
Consuming library code should use the array-api-compat package to support the
array API. Rather, it is intended to be used in the test suites of consuming
libraries to test their array API usage.}

%description %{_description}

%package -n     python3-array-api-strict
Summary:        %{summary}

%description -n python3-array-api-strict %{_description}

%prep
%autosetup -n array_api_strict-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l array_api_strict


%check
%pytest


%files -n python3-array-api-strict -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Oct 05 2024 Paul Pfeister <code@pfeister.dev> - 2.0.1-1
- Initial package (fedora#2305071)
## END: Generated by rpmautospec
